@import 'custom-settings';

h3 {
  color: $brand-darker;
  text-transform: uppercase;
  font-weight: bolder;
  text-align: center;
}

.sidebar {
  margin: 25%;

  ul {
    padding-left: 0;
  }

  &__image img{
    width:100%;
  }

  &__about {
    margin-top: 10px;
    text-align: center;

    &-name {
      color: $brand-darker;
      text-transform: uppercase;
      font-weight: bolder;
      font-size: 1.5em;

      @media screen and (max-width: $screen-sm) {
        font-size: 1.1em;
      }
    }
    &-ocupation {
      text-transform: uppercase;
    }
    &-info {
      font-weight: bold;
    }
  }

  &__connect {

    ul {
      list-style: none;
    }

    .social-buttons {
      a {
          color: $brand-terciary;
      }

      li span {
        padding-left: 5px;
      }
    }
  }

  @media screen and (max-width: $screen-sm) {
		margin: 20% 28% 0 20%;
	}
}

.homepage-contact {
  text-align: center;

  .btn-contact {
    @media screen and (max-width: $screen-sm) {
      margin: 0 20%;
    }
  }
}

.probootstrap-main-nav {

  .language-switcher {
    font-size: 16px;

    a {
      text-decoration: underline;

      .probootstrap-mobile-menu-active & {
        display: inline;
      }

    }

    span {

      &.selected {
        color: $brand-primary;
      }

      @media screen and (max-width: $screen-sm) {

        &.separator {
          padding-left: 10px;
          padding-right: 10px
        }

        color: $brand-white;
      }
    }
  }
}

.probootstrap-text {

  &.regular-content {
    display: block;
    margin-top: 4em;
    margin-left: 5em;

    h3 {
      color: $brand-terciary;
      text-transform: uppercase;
      font-weight: bolder;
    }

    img {
      width: 100%;
    }

    .portfolio {
      p {
        margin-top: 1em;
      }

      &__left {
        margin-top: 1em;
      }
      &__right {
        margin-top: 1em;
      }
      &__centered {
        margin-top: 1em;
      }
    }

    .job-title {
      font-weight: bold;
    }

    @media screen and (max-width: $screen-sm) {
      display: flex;
      margin: 1em auto;
    }
  }

  &.contact {
    margin-top: 8em;
    margin-left: 2em;
    display: block;
    width: 60%;
  }

  &.testimonials {
    margin-top: 6em;
    margin-left: 2em;
    display: block;
    width: 60%;

    > .probootstrap-inner {
      max-width: 800px;
    }

    @media screen and (max-width: $screen-sm) {
      margin-top: 0;
      padding-top: 0;

      > .probootstrap-inner {
        padding-top: 0;
      }
    }

    blockquote{
      font-size: 1em;
      background: #f9f9f9;
      border-left: 10px solid #ccc;
      margin: .5em 10px;
      padding: 0 10px;
      quotes: "“" "”";
      padding: 10px 20px;
      line-height: 1.4;
    }

    blockquote:before {
      content: open-quote;
      display: inline;
      height: 0;
      line-height: 0;
      left: -10px;
      position: relative;
      top: 20px;
      color: #ccc;
      font-size: 3em;
    }

    p{
      margin: 0;
    }

    footer{
      margin: 1em 0em 0em 0em;
      text-align: right;
      font-size: 1em;
      font-style: italic;
    }
  }
}
